import { SimpleLocalIntegration } from '../../core/index.js';
import { EkeybionyxConfigFlow } from './ekeybionyx.classes.configflow.js';
import { createEkeybionyxDiscoveryDescriptor } from './ekeybionyx.discovery.js';
import type { IEkeybionyxConfig } from './ekeybionyx.types.js';
import { ekeybionyxDomain, ekeybionyxProfile } from './ekeybionyx.types.js';

export class EkeybionyxIntegration extends SimpleLocalIntegration<IEkeybionyxConfig> {
  public readonly domain = ekeybionyxDomain;
  public readonly discoveryDescriptor = createEkeybionyxDiscoveryDescriptor();
  public readonly configFlow = new EkeybionyxConfigFlow();

  constructor() {
    super(ekeybionyxProfile);
  }
}

export class HomeAssistantEkeybionyxIntegration extends EkeybionyxIntegration {}
